Bug 593046 - External displays are blank
External displays are blank
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 13:34 EDT by Jim Shepherd
Modified: 2011-06-27 12:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.34.1-11.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from booting without external display attached (55.55 KB, application/octet-stream)
2010-05-17 13:34 EDT, Jim Shepherd
no flags Details
Xorg.0.log file from boot without external display attached (78.59 KB, application/octet-stream)
2010-05-17 13:35 EDT, Jim Shepherd
no flags Details
dmesg output from booting without external display attached, then attaching external display (56.08 KB, application/octet-stream)
2010-05-17 13:36 EDT, Jim Shepherd
no flags Details
Xorg.0.log file from boot without external display attached, then attaching external display (203.37 KB, application/octet-stream)
2010-05-17 13:37 EDT, Jim Shepherd
no flags Details
dmesg output from booting with external display attached and nomodeset (58.80 KB, application/octet-stream)
2010-05-17 13:38 EDT, Jim Shepherd
no flags Details
Xorg.0.log file from boot with external display attached and nomodeset (7.20 KB, application/octet-stream)
2010-05-17 13:38 EDT, Jim Shepherd
no flags Details
lspci -vvv output (32.98 KB, application/octet-stream)
2010-05-17 13:39 EDT, Jim Shepherd
no flags Details
xorg.conf (2.30 KB, application/octet-stream)
2010-05-17 13:39 EDT, Jim Shepherd
no flags Details
dmesg output for 2.6.33.5-137 kernel for which external displays work (273.37 KB, application/octet-stream)
2010-07-08 09:17 EDT, Jim Shepherd
no flags Details
dmesg output for 2.6.33.6-147 kernel for which external displays do not work (247.81 KB, application/octet-stream)
2010-07-08 09:18 EDT, Jim Shepherd
no flags Details

  None (edit)
Description Jim Shepherd 2010-05-17 13:34:22 EDT
Created attachment 414616 [details]
dmesg output from booting without external display attached

Description of problem:

When booting a Dell M4400 laptop attached to a docking station with one or two displays attached to the DVI ports on the docking station, the external display(s) and internal laptop LCD are blank.  The laptop attached to the docking station without any external displays attached to the docking station boots fine and uses the internal display.  After booting without external displays and then attaching an external display to the docking station, the desktop is automatically expanded to include the new display, but the display remains blank.

Version-Release number of selected component (if applicable):

Fedora 13RC3
xorg-x11-drv-nouveau-0.0.16-5.20100423git13c1043.fc13.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Attach external display to docking station
2. Turn on power to laptop
3. Display remains blank
  
Actual results:

Blank external displays

Expected results:

Display as expected

Additional info:

Attached Xorg.0.log files and dmesg outputs for booting without any attached external displays (.nodisplay), attaching an external display after booting and logging in (.adddisplay), and booting with nomodeset and external display attached (.nomodeset).
Comment 1 Jim Shepherd 2010-05-17 13:35:46 EDT
Created attachment 414617 [details]
Xorg.0.log file from boot without external display attached
Comment 2 Jim Shepherd 2010-05-17 13:36:44 EDT
Created attachment 414618 [details]
dmesg output from booting without external display attached, then attaching external display
Comment 3 Jim Shepherd 2010-05-17 13:37:21 EDT
Created attachment 414619 [details]
Xorg.0.log file from boot without external display attached, then attaching external display
Comment 4 Jim Shepherd 2010-05-17 13:38:02 EDT
Created attachment 414620 [details]
dmesg output from booting with external display attached and nomodeset
Comment 5 Jim Shepherd 2010-05-17 13:38:32 EDT
Created attachment 414621 [details]
Xorg.0.log file from boot with external display attached and nomodeset
Comment 6 Jim Shepherd 2010-05-17 13:39:17 EDT
Created attachment 414622 [details]
lspci -vvv output
Comment 7 Jim Shepherd 2010-05-17 13:39:48 EDT
Created attachment 414624 [details]
xorg.conf
Comment 8 Jim Shepherd 2010-06-01 09:50:56 EDT
Is there any additional information I can provide to help with resolution of this issue?  I am using the nvidia proprietary driver as a workaround as the nouveau driver does not function in this multi-display setup.
Comment 9 Ben Skeggs 2010-06-01 18:44:35 EDT
This is a known issue with certain docking station configurations where it's possible for the dock to have either DP or DVI ports, the cause is currently unknown.
Comment 10 Ben Skeggs 2010-06-28 01:01:53 EDT
Are you able to test the kernel build at:
http://koji.fedoraproject.org/scratch/bskeggs/task_2276325/ and see if you
notice any improvement?

It's not guaranteed, but it looks like this issue may be the same as something
else I was investigating today.
Comment 11 Jim Shepherd 2010-06-28 09:38:45 EDT
The kernel build in your link seems to have fixed the problem.  I can finally use the dual monitor setup with the docking station.  No issues so far.  Will this fix be included in Fedora kernels going forward?  Thanks for your help.
Comment 12 Ben Skeggs 2010-06-28 18:27:18 EDT
Thanks for confirming Jim.  I'm not sure yet if/when this exact fix will hit a Fedora kernel, it's somewhat unclear as to why this is necessary as of yet, or if this fix will break other configurations.  I'm investigating this still.
Comment 13 Ben Skeggs 2010-07-07 03:25:08 EDT
Hey Jim, are you able to test this new scratch build for me also?  It hopefully
fixes the same problem (I don't have the configuration to be able to test), but
in a way that doesn't break other systems.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2299699
Comment 14 Jim Shepherd 2010-07-07 17:02:34 EDT
I installed the kernel packages from the link and the external displays are now blank again.  Seems like the fixes in the previous kernels have regressed.  Let me know if there are any log files I can provide to help debug.
Comment 15 Ben Skeggs 2010-07-07 19:01:26 EDT
Ugh, that's frustrating! :)

Would it be possible to get your dmesg (not /var/log/messages, since the debug output won't be logged) from booting with "log_buf_len=1M drm.debug=14 nouveau.reg_debug=0x0200 3"?

It's be good to see that from both scratch builds to compare.
Comment 16 Jim Shepherd 2010-07-08 09:15:49 EDT
Attached are the requested dmesg outputs.  Since the external displays are blank with the 2.6.33.6-147 kernel, I had to capture the dmesg output blind, but it seems like it worked.  Let me know if you need anything else.
Comment 17 Jim Shepherd 2010-07-08 09:17:32 EDT
Created attachment 430354 [details]
dmesg output for 2.6.33.5-137 kernel for which external displays work
Comment 18 Jim Shepherd 2010-07-08 09:18:12 EDT
Created attachment 430356 [details]
dmesg output for 2.6.33.6-147 kernel for which external displays do not work
Comment 19 Ben Skeggs 2010-07-08 23:36:28 EDT
Here's another build.  Hopefully better luck with this one:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2307587
Comment 20 Jim Shepherd 2010-07-09 10:19:40 EDT
The latest build allows the external displays to work.  Everything seems good so far.  Thanks.
Comment 21 Ben Skeggs 2010-07-14 00:03:18 EDT
The fixes are available in kernel-2.6.34.1-11.fc13 (http://koji.fedoraproject.org/koji/buildinfo?buildID=183346)
Comment 22 Adam Huffman 2010-07-14 10:30:52 EDT
I've opened https://bugzilla.redhat.com/show_bug.cgi?id=614452 as I'm seeing a problem that sounds related to this and isn't fixed even with that kernel.
Comment 23 Jim Shepherd 2010-08-04 09:40:06 EDT
The 2.6.33.6-147.2.4.fc13.x86_64 kernel that was recently pushed to the Updates repository seems to have regressed in regards to the dual external monitor being blank issue. Reverting back to the 2.6.33.6-147.fc13.x86_64 kernel fixes the problem.
Comment 24 Fedora Update System 2010-08-07 01:01:18 EDT
kernel-2.6.34.2-34.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 25 Fedora Update System 2010-08-07 19:29:13 EDT
kernel-2.6.34.2-34.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.2-34.fc13
Comment 26 Jim Shepherd 2010-08-09 09:00:41 EDT
The 2.6.34.2-34.fc13 kernel in updates-testing corrects the issue in 2.6.33.6-147.2.4.fc13 so the external displays are working as expected again. Thanks.
Comment 27 Fedora Update System 2010-08-10 19:54:14 EDT
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 28 Fedora Update System 2010-08-11 03:26:34 EDT
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 29 Bug Zapper 2011-06-02 09:54:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2011-06-27 12:26:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.